cURL
curl --request POST \ --url https://api.dev.monei.cc/api/v1/evm-exchange/price/token-to-native \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --data ' { "amount": "0.1", "tokenIn": "0x6B175474E89094C44Da98b954EedeAC495271d0F", "chainId": 1 } '
{ "statusCode": 123, "message": "<string>", "data": { "quoteId": "0x592dbadfad19da6808b637c2", "fromToken": { "address": "0x6b175474e89094c44da98b954eedeac495271d0f", "symbol": "DAI", "decimals": 18 }, "toToken": { "address": "0x6b175474e89094c44da98b954eedeac495271d0f", "symbol": "DAI", "decimals": 18 }, "fromAmount": "100000000000000000", "toAmount": "313241752841065035585", "rate": "3132.41752841065035585", "reverseRate": "0.000319", "minToAmount": "310104629627834539485", "protocolFee": "470558335793031453", "protocolFeeToken": { "address": "0x6b175474e89094c44da98b954eedeac495271d0f", "symbol": "DAI", "decimals": 18 }, "estimatedGas": "60012335624148", "estimatedGasUsd": "18.50", "priceImpact": "0.15", "liquidityAvailable": true, "totalValueUsd": "313.24", "expiryTimestamp": 1698765432, "blockNumber": "24161093", "chainId": 1 }, "errors": {} }
Documentation IndexFetch the complete documentation index at: https://docs.monei.cc/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
Use this file to discover all available pages before exploring further.
Amount of native token to swap
"0.1"
Token address to receive
"0x6B175474E89094C44Da98b954EedeAC495271d0F"
Chain ID (e.g., 1 for Ethereum)
1
Show child attributes